import Algorithms.InitializeNodePositions;
import Algorithms.RandomGraphGenerator;
import Algorithms.SweepCrossingMinimizer;
import Model.LayeredGraphNode;
import View.MainView;

public class Main {

	public static void main(String[] args) {
		//Reader r = new Reader( "save.graph" );
		//LayeredGraphNode graph = r.readInputGraph();
	    RandomGraphGenerator r = new RandomGraphGenerator( 0.1, 0.1, 5, 10, 5, 10, 2 );
	    LayeredGraphNode graph = r.createRandomNode( null, 0 );
	    SweepCrossingMinimizer cminzer = new SweepCrossingMinimizer();
	    for( int i = 0; i < 10; i++ )
	    	cminzer.minimizeCrossings( graph );
		InitializeNodePositions.placeNodes( graph );
		new MainView( graph );
	}

}
